reliability
action pauses

# pause_execution

Pause the execution of the experiment until the resume state has been received.

Run it now
View details

Type | action
Module | chaosreliably.activities.pauses
Name | pause_execution
Return | null

Usage

JSON

    {
      "name": "pause-execution",
      "type": "",
      "provider": {
        "type": "python",
        "module": "chaosreliably.activities.pauses",
        "func": "pause_execution"
      }
    }

YAML

    name: pause-execution
    provider:
      func: pause_execution
      module: chaosreliably.activities.pauses
      type: python
    type: ''

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
duration | integer | 0 | No | Duration |

Signature

    def pause_execution(duration: int = 0,
                        username: str = '',
                        user_id: str = '') -> None:
        pass

## Related starters

- reliability
  probe tls

  ## `verify_certificate`

  Performs a range of checks on the certificate of a remote endpoint
- reliability
  probe load

  ## `load_test_result_field_should_be_less_than`

  Reads a load test result and compares the field’s value to be lesser than the expected given value.
- reliability
  action gh

  ## `cancel_workflow_run`

  Cancels a GitHub Workflow run